Subject: Re: [dispatch] RFC 3398 - problems with ISUP cause mapping

From: Šliber Aleš <[email-masked]>
Date: Fri, 25 Jan 2013 07:01:52 +0000

Hi,

I'm mobile core network engineer working a lot with ISUP to SIP mapping and vice versa.
I come up to an unsolved problem with mapping the traffic from ISUP to SIP and back to ISUP.

>From RFC 3398:

ISUP-SIP
   18 no user responding                   408 Request Timeout
   19 no answer from the user              480 Temporarily unavailable
   20 subscriber absent                    480 Temporarily unavailable

SIP-ISUP:
   408 Request timeout                  102 Recovery on timer expiry
   480 Temporarily unavailable           18 No user responding

So if I send from ISUP REL-19 and this trafic wents maps to SIP and then back to ISUP, I receive on the other side ISUP REL-18.
There is the same story with ISUP REL18 mappng to SIP and back to ISUP - I will receive ISUP REL.102?!

Can you help me with this isue. Is there any new RFC how to map this kind of traffic?

Thank you,
BR Ales Sliber

Aleš Šliber
Core network engineer
Tel: +386-1-472-8482
W-mobile: www.mobitel.si<http://www.mobitel.si/>
W-fix: www.telekom.si<http://www.telekom.si/>
Telekom Slovenije

---

From: Christer Holmberg <[email-masked]>
Date: Fri, 25 Jan 2013 14:17:40 +0000

Hi,

There is no new RFC, but SDOs like ITU-T and 3GPP have specified mapping which in some cases differs from the RFC.

Regards,

Christer

From: [email-masked] [mailto:[email-masked]] On Behalf Of Šliber Aleš
Sent: 25. tammikuuta 2013 9:02
To: [email-masked]
Subject: Re: [dispatch] RFC 3398 - problems with ISUP cause mapping

Hi,

ISUP-SIP

SIP-ISUP:

Thank you,
BR Ales Sliber

Aleš Šliber
Core network engineer
Tel: +386-1-472-8482

---

From: "Calme, James A (Jim)" <[email-masked]>
Date: Fri, 25 Jan 2013 14:23:21 +0000

Please reference 3GPP TS 29.163, much work as been done on this document over the last couple years to address mapping concerns.

Jim

From: [email-masked] [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: Friday, January 25, 2013 8:18 AM
To: Šliber Aleš; [email-masked]
Subject: Re: [dispatch] RFC 3398 - problems with ISUP cause mapping

Hi,

Regards,

Christer

Hi,

ISUP-SIP

SIP-ISUP:

Thank you,
BR Ales Sliber

Aleš Šliber
Core network engineer
Tel: +386-1-472-8482

---

From: Adam Roach <[email-masked]>
Date: Fri, 25 Jan 2013 08:46:13 -0600

On Jan 25, 2013, at 1:01, Šliber Aleš <[email-masked]> wrote:

> There is the same story with ISUP REL18 mappng to SIP and back to ISUP – I will receive ISUP REL.102?!
>  

No, because the cause code in the tunneled ISUP is supposed to take priority over the SIP response code. So if you send REL-19, then the SIP will contain an ISUP body part, and that ISUP body will contain REL-19. Then, when it gets mapped back from SIP to ISUP, the gateway will use the REL-19 from the ISUP body rather than the SIP error code mapping. 

The mapping from SIP response code to ISUP release code is used ONLY if there is no ISUP body present in the SIP message (basically, only for calls that originate at a SIP terminal that has no knowledge of ISUP). 

/a

---

From: Šliber Aleš <[email-masked]>
Date: Mon, 28 Jan 2013 09:23:06 +0000

Hi,

Thank you for reply, but as I can see, from 3GPP TS 29.163 document – there is quite the same story (maby even worst – because ISUP 18 is mapd also in SIP 480 and not in-to SIP-408 as in RFC):

Table 9: Receipt of the Release message (REL)

•SIP Message

• REL

Status code

Cause parameter

404 Not Found

Cause value No. 1 (unallocated (unassigned) number)

500 Server Internal error

Cause value No 2 (no route to network)

500 Server Internal error

Cause value No 3 (no route to destination)

500 Server Internal error

Cause value No. 4 (Send special information tone)

404 Not Found

Cause value No. 5 (Misdialled trunk prefix)

486 Busy Here

Cause value No. 17 (user busy)

480 Temporarily unavailable

Cause value No 18 (no user responding)

480 Temporarily unavailable

Cause value No 19 (no answer from the user)

480 Temporarily unavailable

Cause value No. 20 (subscriber absent)

603 Decline

Cause value No 21 (call rejected), Location = 000 / user (U)

480Temporarily unavailable

Cause value No 21 (call rejected) , Location <> 000 / user (U)

410 Gone

Cause value No 22 (number changed)

433 Anonymity Disallowed.(NOTE 1)

Cause value No. 24 (call rejected due to ACR supplementary service)

480 Temporarily unavailable

Cause value No 25 (Exchange routing error)

502 Bad Gateway

Cause value No 27 (destination out of order)

484 Address Incomplete

Cause value No. 28 invalid number format (address incomplete)

500 Server Internal error

Cause value No 29 (facility rejected)

480 Temporarily unavailable

Cause value No 31 (normal unspecified) (class default) (NOTE 2)

486 Busy here if Diagnostics indicator includes the (CCBS indicator = CCBS possible)

else 480 Temporarily unavailable

Cause value in the Class 010 (resource unavailable, Cause value No 34)

500 Server Internal error

Cause value in the Class 010
(resource unavailable, Cause value No’s. 38, 41, 42, 43, 44, & 47) (47 is class default)

500 Server Internal error

Cause value No 50 (requested facility no subscribed)

500 Server Internal error

Cause value No 57 (bearer capability not authorised)

500 Server Internal error

Cause value No 58 (bearer capability not presently)

500 Server Internal error

Cause value No 63 (service option not available, unspecified)
(class default)

500 Server Internal error

Cause value in the Class 100 (service or option not implemented, Cause value No’s. 65, 70 & 79) 79 is class default

500 Server Internal error

Cause value No 88 (incompatible destination)

404 Not Found

Cause value No 91 (invalid transit network selection)

500 Server Internal error

Cause value No 95 (invalid message)
(class default)

500 Server Internal error

Cause value No 97 (Message type non-existent or not implemented)

500 Server Internal error

Cause value No 99 (information element/parameter non-existent or not implemented))

480 Temporarily unavailable

Cause value No. 102 (recovery on timer expiry)

500 Server Internal error

Cause value No 110 (Message with unrecognised Parameter, discarded)

500 Server Internal error

Cause value No. 111 (protocol error, unspecified)
(class default)

480 Temporarily unavailable

Cause value No. 127 (interworking unspecified)
(class default)

NOTE 1:    Anonymity Disallowed, RFC 5079 [77] refers

NOTE 2:    Class 1 and class 2 have the same default value.

Table 18: 4xx/5xx/6xx Received on SIP side of O-MGCF

•REL (cause code)

•4xx/5xx/6xx SIP Message

127 (interworking unspecified)

400 Bad Request

127 (interworking unspecified)

401 Unauthorized

127 (interworking unspecified)

402 Payment Required

127 (interworking unspecified)

403 Forbidden

1 (Unallocated number)

404 Not Found

127 (interworking unspecified)

405 Method Not Allowed

127 (interworking unspecified)

406 Not Acceptable

127 (interworking unspecified)

407 Proxy authentication required

127 (interworking unspecified)

408 Request Timeout

22 (Number changed)

410 Gone

127 (interworking unspecified)

413 Request Entity too long

127 (interworking unspecified)

414 Request-URI too long

127 (interworking unspecified)

415 Unsupported Media type

127 (interworking unspecified)

416 Unsupported URI scheme

127 (interworking unspecified)

420 Bad Extension

127 (interworking unspecified)

421 Extension required

127 (interworking unspecified)

423 Interval Too Brief

24 (call rejected due to ACR supplementary service)

433 Anonymity Disallowed.(NOTE 1)

20 Subscriber absent

480 Temporarily Unavailable

127 (interworking unspecified)

481 Call/Transaction does not exist

127 (interworking unspecified)

482 Loop detected

127 (interworking unspecified)

483 Too many hops

28 (Invalid Number format)

484 Address Incomplete

127 (interworking unspecified)

485 Ambiguous

17 (User busy)

486 Busy Here

127 (Interworking unspecified) or not interworked. (NOTE 2)

487 Request terminated

127 (interworking unspecified)

488 Not acceptable here

127 (interworking unspecified)

493 Undecipherable

127 (interworking unspecified)

500 Server Internal error

127 (interworking unspecified)

501 Not implemented

127 (interworking unspecified)

502 Bad Gateway

127 (interworking unspecified)

503 Service Unavailable

127 (interworking unspecified)

504 Server timeout

127 (interworking unspecified)

505 Version not supported

127 (interworking unspecified)

513 Message too large

127 (interworking unspecified)

580 Precondition failure

17 (User busy)

600 Busy Everywhere

21 (Call rejected)

603 Decline

1 (unallocated number)

604 Does not exist anywhere

127 (interworking unspecified)

606 Not acceptable

NOTE 1:    Anonymity Disallowed, RFC 5079 [77] refers.

NOTE 2:    No interworking if the O-MGCF previously issued a CANCEL request for the INVITE.

NOTE 3:    The 4xx/5xx/6xx SIP responses that are not covered in this table are not interworked.

BR Aleš

From: Calme, James A (Jim) [mailto:[email-masked]]
Sent: 25. januar 2013 15:23
To: Christer Holmberg; Šliber Aleš; [email-masked]
Subject: RE: RFC 3398 - problems with ISUP cause mapping

Jim

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: Friday, January 25, 2013 8:18 AM
To: Šliber Aleš; [email-masked]<mailto:[email-masked]>
Subject: Re: [dispatch] RFC 3398 - problems with ISUP cause mapping

Hi,

Regards,

Christer

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Šliber Aleš
Sent: 25. tammikuuta 2013 9:02
To: [email-masked]<mailto:[email-masked]>
Subject: Re: [dispatch] RFC 3398 - problems with ISUP cause mapping

Hi,

ISUP-SIP

SIP-ISUP:

Thank you,
BR Ales Sliber

Aleš Šliber
Core network engineer
Tel: +386-1-472-8482

---

From: "Calme, James A (Jim)" <[email-masked]>
Date: Mon, 28 Jan 2013 14:09:43 +0000

True, it is not 100% symmetric.
If it is required to maintain the original ISUP cause, then I would suggest using the Reason header field.
Jim

From: Šliber Aleš [mailto:[email-masked]]
Sent: Monday, January 28, 2013 3:23 AM
To: Calme, James A (Jim); Christer Holmberg; [email-masked]
Subject: RE: RFC 3398 - problems with ISUP cause mapping

Hi,

•SIP Message

• REL

Status code

Cause parameter

404 Not Found

404 Not Found

486 Busy Here

603 Decline

410 Gone

502 Bad Gateway

484 Address Incomplete

404 Not Found

•REL (cause code)

•4xx/5xx/6xx SIP Message

400 Bad Request

401 Unauthorized

402 Payment Required

403 Forbidden

1 (Unallocated number)

404 Not Found

405 Method Not Allowed

406 Not Acceptable

408 Request Timeout

22 (Number changed)

410 Gone

414 Request-URI too long

420 Bad Extension

421 Extension required

423 Interval Too Brief

20 Subscriber absent

482 Loop detected

483 Too many hops

484 Address Incomplete

485 Ambiguous

17 (User busy)

486 Busy Here

487 Request terminated

488 Not acceptable here

493 Undecipherable

501 Not implemented

502 Bad Gateway

503 Service Unavailable

504 Server timeout

513 Message too large

580 Precondition failure

17 (User busy)

600 Busy Everywhere

21 (Call rejected)

603 Decline

1 (unallocated number)

606 Not acceptable

BR Aleš

Jim

Hi,

Regards,

Christer

Hi,

ISUP-SIP

SIP-ISUP:

Thank you,
BR Ales Sliber

Aleš Šliber
Core network engineer
Tel: +386-1-472-8482

---

From: Adam Roach <[email-masked]>
Date: Mon, 28 Jan 2013 08:33:39 -0600

Guys, you're doing it wrong. Completely wrong. 

Go back and read my response from Friday. 

/a

On Jan 28, 2013, at 8:09, "Calme, James A (Jim)" <[email-masked]> wrote:

> ¬SIP Message 
> ¬ REL
> ¬REL (cause code)
> ¬4xx/5xx/6xx SIP Message
> W-mobile: www.mobitel.si
> W-fix: www.telekom.si
> _______________________________________________
> dispatch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dispatch

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 28 Jan 2013 14:44:09 +0000

Hi,

>Go back and read my response from Friday.

Maybe I’ve missed something, but I don’t think ISUP tunneling is used in the case being discussed.

Regards,

Christer

On Jan 28, 2013, at 8:09, "Calme, James A (Jim)" <[email-masked]<mailto:[email-masked]>> wrote:
True, it is not 100% symmetric.
If it is required to maintain the original ISUP cause, then I would suggest using the Reason header field.
Jim

From: Šliber Aleš [mailto:[email-masked]]
Sent: Monday, January 28, 2013 3:23 AM
To: Calme, James A (Jim); Christer Holmberg; [email-masked]<mailto:[email-masked]>
Subject: RE: RFC 3398 - problems with ISUP cause mapping

Hi,

•SIP Message

• REL

Status code

Cause parameter

404 Not Found

404 Not Found

486 Busy Here

603 Decline

410 Gone

502 Bad Gateway

484 Address Incomplete

404 Not Found

•REL (cause code)

•4xx/5xx/6xx SIP Message

400 Bad Request

401 Unauthorized

402 Payment Required

403 Forbidden

1 (Unallocated number)

404 Not Found

405 Method Not Allowed

406 Not Acceptable

408 Request Timeout

22 (Number changed)

410 Gone

414 Request-URI too long

420 Bad Extension

421 Extension required

423 Interval Too Brief

20 Subscriber absent

482 Loop detected

483 Too many hops

484 Address Incomplete

485 Ambiguous

17 (User busy)

486 Busy Here

487 Request terminated

488 Not acceptable here

493 Undecipherable

501 Not implemented

502 Bad Gateway

503 Service Unavailable

504 Server timeout

513 Message too large

580 Precondition failure

17 (User busy)

600 Busy Everywhere

21 (Call rejected)

603 Decline

1 (unallocated number)

606 Not acceptable

BR Aleš

From: Calme, James A (Jim) [mailto:[email-masked]]
Sent: 25. januar 2013 15:23
To: Christer Holmberg; Šliber Aleš; [email-masked]<mailto:[email-masked]>
Subject: RE: RFC 3398 - problems with ISUP cause mapping

Jim

Hi,

Regards,

Christer

Hi,

From RFC 3398:

ISUP-SIP

SIP-ISUP:

Thank you,
BR Ales Sliber

Aleš Šliber
Core network engineer
Tel: +386-1-472-8482

_______________________________________________
dispatch mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/dispatch

---

From: Šliber Aleš <[email-masked]>
Date: Mon, 28 Jan 2013 15:10:26 +0000

Hi to everyone.
Yes correct, I'm talking about double mapping ISUP --> SIP --> ISUP and not about SIP-I.

OK, I will check this »Reason header field«.

Thnxs to all,
BR Aleš

From: Christer Holmberg [mailto:[email-masked]]
Sent: 28. januar 2013 15:44
To: Adam Roach; Calme, James A (Jim)
Cc: Šliber Aleš; [email-masked]
Subject: RE: [dispatch] RFC 3398 - problems with ISUP cause mapping

Hi,

Regards,

Christer

Hi,

•SIP Message

• REL

Status code

Cause parameter

404 Not Found

404 Not Found

486 Busy Here

603 Decline

410 Gone

502 Bad Gateway

484 Address Incomplete

404 Not Found

•REL (cause code)

•4xx/5xx/6xx SIP Message

400 Bad Request

401 Unauthorized

402 Payment Required

403 Forbidden

1 (Unallocated number)

404 Not Found

405 Method Not Allowed

406 Not Acceptable

408 Request Timeout

22 (Number changed)

410 Gone

414 Request-URI too long

420 Bad Extension

421 Extension required

423 Interval Too Brief

20 Subscriber absent

482 Loop detected

483 Too many hops

484 Address Incomplete

485 Ambiguous

17 (User busy)

486 Busy Here

487 Request terminated

488 Not acceptable here

493 Undecipherable

501 Not implemented

502 Bad Gateway

503 Service Unavailable

504 Server timeout

513 Message too large

580 Precondition failure

17 (User busy)

600 Busy Everywhere

21 (Call rejected)

603 Decline

1 (unallocated number)

606 Not acceptable

BR Aleš

Jim

Hi,

Regards,

Christer

Hi,

From RFC 3398:

ISUP-SIP

SIP-ISUP:

Thank you,
BR Ales Sliber

Aleš Šliber
Core network engineer
Tel: +386-1-472-8482

---

From: <[email-masked]>
Date: Mon, 28 Jan 2013 19:08:21 +0100

Hi Ales,
that was the discussion we had over the last years in different fora like 3GPP, I3 Forum, ETSI TISPAN and also IETF. which result in RFC6432. The recommendation is if you want to have 100% symmetry then use http://www.rfc-editor.org/rfc/rfc6432.txt where you put in the Q.850 cause into the SIP response as already Jim pointed out.

Thank you and Best Regards

Roland

________________________________
Von: [email-masked] [mailto:[email-masked]] Im Auftrag von Calme, James A (Jim)
Gesendet: Montag, 28. Januar 2013 15:10
An: Šliber Aleš; Christer Holmberg; [email-masked]
Betreff: Re: [dispatch] RFC 3398 - problems with ISUP cause mapping

Hi,

•SIP Message

• REL

Status code

Cause parameter

404 Not Found

404 Not Found

486 Busy Here

603 Decline

410 Gone

502 Bad Gateway

484 Address Incomplete

404 Not Found

•REL (cause code)

•4xx/5xx/6xx SIP Message

400 Bad Request

401 Unauthorized

402 Payment Required

403 Forbidden

1 (Unallocated number)

404 Not Found

405 Method Not Allowed

406 Not Acceptable

408 Request Timeout

22 (Number changed)

410 Gone

414 Request-URI too long

420 Bad Extension

421 Extension required

423 Interval Too Brief

20 Subscriber absent

482 Loop detected

483 Too many hops

484 Address Incomplete

485 Ambiguous

17 (User busy)

486 Busy Here

487 Request terminated

488 Not acceptable here

493 Undecipherable

501 Not implemented

502 Bad Gateway

503 Service Unavailable

504 Server timeout

513 Message too large

580 Precondition failure

17 (User busy)

600 Busy Everywhere

21 (Call rejected)

603 Decline

1 (unallocated number)

606 Not acceptable

BR Aleš

Jim

Hi,

Regards,

Christer

Hi,

ISUP-SIP

SIP-ISUP:

Thank you,
BR Ales Sliber

Aleš Šliber
Core network engineer
Tel: +386-1-472-8482